Bug 1255815 - Review Request: apacheds-ldap-api - Apache Directory LDAP API
Review Request: apacheds-ldap-api - Apache Directory LDAP API
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1255810
  Show dependency treegraph
 
Reported: 2015-08-21 11:46 EDT by gil cattaneo
Modified: 2015-10-15 18:30 EDT (History)
2 users (show)

See Also:
Fixed In Version: apacheds-ldap-api-1.0.0-0.2.M31
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 18:30:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2015-08-21 11:46:21 EDT
Spec URL: https://gil.fedorapeople.org/apache-ldap-api.spec
SRPM URL: https://gil.fedorapeople.org/apache-ldap-api-1.0.0-0.1.M31.fc22.src.rpm
Description:
The Apache Directory LDAP API is an ongoing effort to
provide an enhanced LDAP API, as a replacement for JNDI and
the existing LDAP API (jLdap and Mozilla LDAP API).

This is a schema aware API, with some convenient ways to
access a LDAP server. This API is not only targeting the
Apache Directory Server, but should work pristine with
any LDAP server.

It's also an extensible API : new Controls, schema elements and
network layer could be added or used in the near future. It
is also OSGi capable.
Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10779003
Comment 3 Upstream Release Monitoring 2015-10-10 21:46:22 EDT
gil's scratch build of apacheds-ldap-api-1.0.0-0.1.M31.fc22.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11406918
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-10-13 22:49:47 EDT
Why apacheds-ldap-api not apache-ldap-api in the name?

Why are tests disabled? Ah, no junit-test-addons... Any chance to have those packaged?

In the %description, no space before a colon (" : ").

Looks good, see minor rpmlint nitpick below.

Please consider using '%global _docdir_fmt %{name}' to avoid duplicating the license files

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 5 files have unknown license. Detailed output of licensecheck
     in /var/tmp/1255815-apacheds-ldap-api/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[?]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[-]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     apacheds-ldap-api-javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: apacheds-ldap-api-1.0.0-0.1.M31.fc24.noarch.rpm
          apacheds-ldap-api-javadoc-1.0.0-0.1.M31.fc24.noarch.rpm
          apacheds-ldap-api-1.0.0-0.1.M31.fc24.src.rpm
apacheds-ldap-api.noarch: W: spelling-error %description -l en_US jLdap -> dapple
apacheds-ldap-api.noarch: W: spurious-executable-perm /usr/share/doc/apacheds-ldap-api/README.txt
^^^ could be fixed

apacheds-ldap-api.src: W: spelling-error %description -l en_US jLdap -> dapple
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
apacheds-ldap-api.noarch: W: spurious-executable-perm /usr/share/doc/apacheds-ldap-api/README.txt
2 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
apacheds-ldap-api-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

apacheds-ldap-api (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(antlr:antlr)
    mvn(commons-collections:commons-collections)
    mvn(commons-io:commons-io)
    mvn(commons-lang:commons-lang)
    mvn(commons-pool:commons-pool)
    mvn(dom4j:dom4j)
    mvn(org.apache.mina:mina-core)
    mvn(org.slf4j:slf4j-api)
    mvn(xpp3:xpp3)



Provides
--------
apacheds-ldap-api-javadoc:
    apacheds-ldap-api-javadoc

apacheds-ldap-api:
    apacheds-ldap-api
    mvn(org.apache.directory.api:api-all)
    mvn(org.apache.directory.api:api-all:pom:)
    mvn(org.apache.directory.api:api-asn1-api)
    mvn(org.apache.directory.api:api-asn1-api:pom:)
    mvn(org.apache.directory.api:api-asn1-ber)
    mvn(org.apache.directory.api:api-asn1-ber:pom:)
    mvn(org.apache.directory.api:api-asn1-parent:pom:)
    mvn(org.apache.directory.api:api-dsml-engine)
    mvn(org.apache.directory.api:api-dsml-engine:pom:)
    mvn(org.apache.directory.api:api-dsml-parent:pom:)
    mvn(org.apache.directory.api:api-dsml-parser)
    mvn(org.apache.directory.api:api-dsml-parser:pom:)
    mvn(org.apache.directory.api:api-i18n)
    mvn(org.apache.directory.api:api-i18n:pom:)
    mvn(org.apache.directory.api:api-ldap-client-all)
    mvn(org.apache.directory.api:api-ldap-client-all:pom:)
    mvn(org.apache.directory.api:api-ldap-client-api)
    mvn(org.apache.directory.api:api-ldap-client-api:pom:)
    mvn(org.apache.directory.api:api-ldap-client-parent:pom:)
    mvn(org.apache.directory.api:api-ldap-codec-core)
    mvn(org.apache.directory.api:api-ldap-codec-core:pom:)
    mvn(org.apache.directory.api:api-ldap-codec-parent:pom:)
    mvn(org.apache.directory.api:api-ldap-codec-standalone)
    mvn(org.apache.directory.api:api-ldap-codec-standalone:pom:)
    mvn(org.apache.directory.api:api-ldap-extras-aci)
    mvn(org.apache.directory.api:api-ldap-extras-aci:pom:)
    mvn(org.apache.directory.api:api-ldap-extras-codec)
    mvn(org.apache.directory.api:api-ldap-extras-codec-api)
    mvn(org.apache.directory.api:api-ldap-extras-codec-api:pom:)
    mvn(org.apache.directory.api:api-ldap-extras-codec:pom:)
    mvn(org.apache.directory.api:api-ldap-extras-parent:pom:)
    mvn(org.apache.directory.api:api-ldap-extras-sp)
    mvn(org.apache.directory.api:api-ldap-extras-sp:pom:)
    mvn(org.apache.directory.api:api-ldap-extras-trigger)
    mvn(org.apache.directory.api:api-ldap-extras-trigger:pom:)
    mvn(org.apache.directory.api:api-ldap-extras-util)
    mvn(org.apache.directory.api:api-ldap-extras-util:pom:)
    mvn(org.apache.directory.api:api-ldap-model)
    mvn(org.apache.directory.api:api-ldap-model:pom:)
    mvn(org.apache.directory.api:api-ldap-net-mina)
    mvn(org.apache.directory.api:api-ldap-net-mina:pom:)
    mvn(org.apache.directory.api:api-ldap-net-parent:pom:)
    mvn(org.apache.directory.api:api-ldap-parent:pom:)
    mvn(org.apache.directory.api:api-ldap-schema-converter)
    mvn(org.apache.directory.api:api-ldap-schema-converter:pom:)
    mvn(org.apache.directory.api:api-ldap-schema-data)
    mvn(org.apache.directory.api:api-ldap-schema-data:pom:)
    mvn(org.apache.directory.api:api-ldap-schema-parent:pom:)
    mvn(org.apache.directory.api:api-parent:pom:)
    mvn(org.apache.directory.api:api-util)
    mvn(org.apache.directory.api:api-util:pom:)
    osgi(org.apache.directory.api.asn1.api)
    osgi(org.apache.directory.api.asn1.ber)
    osgi(org.apache.directory.api.dsmlv2.engine)
    osgi(org.apache.directory.api.dsmlv2.parser)
    osgi(org.apache.directory.api.i18n)
    osgi(org.apache.directory.api.ldap.client.api)
    osgi(org.apache.directory.api.ldap.codec.core)
    osgi(org.apache.directory.api.ldap.extras.aci)
    osgi(org.apache.directory.api.ldap.extras.codec)
    osgi(org.apache.directory.api.ldap.extras.codec.api)
    osgi(org.apache.directory.api.ldap.extras.sp)
    osgi(org.apache.directory.api.ldap.extras.trigger)
    osgi(org.apache.directory.api.ldap.extras.util)
    osgi(org.apache.directory.api.ldap.model)
    osgi(org.apache.directory.api.ldap.net.mina)
    osgi(org.apache.directory.api.ldap.schema)
    osgi(org.apache.directory.api.ldap.schema.converter)
    osgi(org.apache.directory.api.util)



Source checksums
----------------
http://www.apache.org/dist/directory/api/dist/1.0.0-M31/apache-ldap-api-1.0.0-M31-src.tar.gz :
  CHECKSUM(SHA256) this package     : a383f8f4ce1123b1fc47a852ebb3e54b0b1ba45f53f61130af008ea1a50f1472
  CHECKSUM(SHA256) upstream package : a383f8f4ce1123b1fc47a852ebb3e54b0b1ba45f53f61130af008ea1a50f1472


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 5 gil cattaneo 2015-10-13 23:55:19 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> Why apacheds-ldap-api not apache-ldap-api in the name?

i prefer use apacheds instead of apache because this package is only required (and it also use as gId org.apache.directory.) by ApacheDS at the moment

> Why are tests disabled? Ah, no junit-test-addons... Any chance to have those
> packaged?

org.apache.directory.junit:junit-addons:0.1 is a crap of bundled code of different projects
e.g. mycila-junit. i don't want use or import this orrible "thing"

> In the %description, no space before a colon (" : ").

Fixed

> Looks good, see minor rpmlint nitpick below.
> apacheds-ldap-api.noarch: W: spurious-executable-perm
> /usr/share/doc/apacheds-ldap-api/README.txt
> ^^^ could be fixed

Fixed

Thanks!

Spec URL: https://gil.fedorapeople.org/apacheds-ldap-api.spec
SRPM URL: https://gil.fedorapeople.org/apacheds-ldap-api-1.0.0-0.2.M31.fc22.src.rpm
Comment 6 gil cattaneo 2015-10-14 00:07:41 EDT
> org.apache.directory.junit:junit-addons:0.1 is a crap of bundled code of
> different projects
> e.g. mycila-junit. i don't want use or import this orrible "thing"
see http://svn.apache.org/repos/asf/directory/buildtools/junit-addons/tags/0.1/src/main/java/
Comment 7 gil cattaneo 2015-10-14 00:56:01 EDT
Sorry, is necessary the "fedora_requires_release_note" flag?
Comment 8 Zbigniew Jędrzejewski-Szmek 2015-10-14 13:01:10 EDT
(In reply to gil cattaneo from comment #7)
> Sorry, is necessary the "fedora_requires_release_note" flag?
Ah, wrong flag.
Comment 9 Zbigniew Jędrzejewski-Szmek 2015-10-14 13:05:10 EDT
Everything looks fine. I'm not 100% convinced about the name. We have a bunch of apacheds-* packages, and a bunch of apache-* packages, so I guess there's precedent for both cases, and it's up to you.
Comment 10 gil cattaneo 2015-10-14 16:16:09 EDT
Thanks!

Request for new package https://admin.fedoraproject.org/pkgdb/package/requests/722
Comment 11 gil cattaneo 2015-10-15 18:30:39 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=11466108

Note You need to log in before you can comment on or make changes to this bug.